Subject: bug#8332: Acknowledgement (24.0.9999; lexbind-new branch errors on M-x describe-variable lexical-binding)

From: Tassilo Horn <[email-masked]>
Date: Thu, 24 Mar 2011 08:42:59 +0100

Hi!

I just found out, that this does not happen with

  emacs -Q --eval '(setq lexical-binding t)'

so it has to be some of my configs...

After some bisectioning, I found out the culprit is anything.
Commenting out

  (require 'anything)

in my .emacs, so I'll Cc-ed Thierry and Rubykitch.

BTW, the error is not specific to `describe-variable'.  I get these
errors for all describe commands.  For example, that's what I get with
M-x describe-function next-line.

Debugger entered--Lisp error: (void-variable symbol)
  documentation-property(auto-window-vscroll variable-documentation)
  help-make-xrefs(#<buffer *Help*>)
  help-mode-finish()
  run-hooks(temp-buffer-show-hook)
  internal-temp-output-buffer-show(#<buffer *Help*>)
  describe-function(next-line)
  call-interactively(describe-function)
  (lambda nil (call-interactively (function describe-function)))()
  funcall((lambda nil (call-interactively (function describe-function))))
  (progn (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max))))
  (unwind-protect (progn (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max)))) (set-window-configuration wconfig))
  (let ((wconfig (current-window-configuration))) (unwind-protect (progn (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max)))) (set-window-configuration wconfig)))
  (save-window-excursion (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max))))
  (boxquote-text (save-window-excursion (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max)))))
  (let ((one-window-p (one-window-p))) (boxquote-text (save-window-excursion (funcall help-call) (with-current-buffer (boxquote-help-buffer-name (funcall item)) (buffer-substring-no-properties (point-min) (point-max))))) (boxquote-title (format title-format (funcall item))) (when one-window-p (delete-other-windows)))
  boxquote-quote-help-buffer((lambda nil (call-interactively (function describe-function))) "C-h f %s RET" (lambda nil (car (if (boxquote-xemacs-p) (symbol-value (quote function-history)) minibuffer-history))))
  boxquote-describe-function()
  call-interactively(boxquote-describe-function nil nil)

Bye,
Tassilo